% Do not edit this file; created by ctex on Mon Nov 15 17:40:26 EST 1993
\section{athan92}
\index{potential, athan92.c}
% File: athan92.c

% CTEX Line: 21
{\bf potname=athan92 
potpars={\it $\Omega$,amode,$n,{a\over b},r_l,Q_m,\rho_c,f_{disk}$}} 





\section{bar83}
\index{potential, bar83.c}
% File: bar83.c

% CTEX Line: 11
{\bf potname=bar83 
potpars={\it $\Omega,f_m,f_x,{c\over a}$}} 



\section{bulge1}
\index{potential, bulge1.c}
% File: bulge1.c

% CTEX Line: 6
{\bf potname=bulge1 
potpars={\it $\Omega,M,R,b/a$}} 

\section{ccd}
\index{potential, ccd.c}
% File: ccd.c

% CTEX Line: 15
{\bf potname=ccd 
potpars={\it $\Omega,X_o,Y_o$} 
potfile={\it image(5NEMO)}} 

\section{cp80}
\index{potential, cp80.c}
% File: cp80.c

% CTEX Line: 16
{\bf potname=cp80 
potpars={\it $\Omega,\epsilon$}} 

Contopoulos \& Papayannopoulos (1980, A\&A, 92,33) 
used this potential 
in the study of orbits in barred galaxies. Note that their 
``bar'' is oriented along the Y-axis, and an axis ratio is not 
well defined. The potential used is given by adding an 
axisymmetric component to a m=2 fourier component: 
$$ 
\Phi = \Phi_1 + \Phi_2 
$$ 
where $\Phi_1$ is the Isochrone potential with unit scalelength and 
mass, and $\Phi_2$ the Barbanis \& Woltjer (1965) potential: 
$$ 
\Phi_1 = - { 1 \over { (1 + \sqrt{1+r^2})}} 
$$ 
and 
$$ 
\Phi_2 = \epsilon r (16-r) cos(2\phi) 
$$ 

\section{dehnen}
\index{potential, dehnen.c}
% File: dehnen.c

% CTEX Line: 5
{\bf potname=dehnen 
potpars={\it $\Omega,M,a,\gamma$}} 

Walter Dehnen (1993, MN {\bf 265}, 250-256) introduced the following 
family of potential-density pairs for spherical systems: 

The potential is given by: 
$$ 
\Phi = - { M \over a } \times -{1\over{2-\gamma}} * 
1 - (r\over{r+a})^{2-\gamma} 
$$ 
cumulative mass by 
$$ 
M(r) = M { r \over {(r+a)}^{3-\gamma} } 
$$ 
and density by 
$$ 
\rho = { {(3-\gamma)M} \over {4\pi}} 
{ a \over {r^{\gamma} (r+a)^{4-\gamma}}} 
$$ 

Special cases are the Hernquist potential ($\gamma=1$), and the 
Jaffe model ($\gamma=2$). The model with $\gamma=3/2$ seems to 
give the best comparison withe de Vaucouleurs $R^{1/4}$ law. 

\section{expdisk}
\index{potential, expdisk.c}
% File: expdisk.c

% CTEX Line: 7

{\bf potname=expdisk 
potpars={\it $\Omega,M,a$}} 

Exponential disk (BT, pp.77) 
$$ 
\Phi = - {M \over r_d} x \left[ I_0(x)K_1(x) - I_1(x)K_0(x) \right] 
$$ 

\section{halo}
\index{potential, halo.c}
% File: halo.c

% CTEX Line: 10
{\bf potname=halo 
potpars={\it $\Omega,v_0,r_c$}} 




\section{harmonic}
\index{potential, harmonic.c}
% File: harmonic.c

% CTEX Line: 8
{\bf potname=harmonic 
potpars={\it $\Omega,\omega_x^2,\omega_z^2,\omega_z^2$}} 


Harmonic potential 
$$ 
\Phi = {1 \over 2} \omega_x^2 x^2 
+ {1 \over 2} \omega_y^2 y^2 
+ {1 \over 2} \omega_z^2 z^2 
$$ 

\section{hernquist}
\index{potential, hernquist.c}
% File: hernquist.c

% CTEX Line: 10
{\bf potname=hernquist 
potpars={\it $\Omega,M,r_c$}} 

Potential is given by: 
$$ 
\Phi = - { M \over {(r_c+r)}} 
$$ 
and mass 
$$ 
M(r) = M { r^2 \over {(r+r_c)}^2 } 
$$ 
and density 
$$ 
\rho = { M \over {2\pi}} {r_c \over r} { 1 \over {(r+r_c)}^3} 
$$ 

\section{hom}
\index{potential, hom.c}
% File: hom.c

% CTEX Line: 10
{\bf potname=hom 
potpars={\it $\Omega,M,R,\tau$}} 

\section{hubble}
\index{potential, hubble.c}
% File: hubble.c

% CTEX Line: 13
{\bf potname=hubble 
potpars={\it $\Omega,M,R,b,c$}} 

\section{isochrone}
\index{potential, isochrone.c}
% File: isochrone.c

% CTEX Line: 10
{\bf potname=isochrone 
potpars={\it $\Omega,M,R$}} 

\section{jaffe}
\index{potential, jaffe.c}
% File: jaffe.c

% CTEX Line: 6
{\bf potname=jaffe 
potpars={\it $\Omega,M,r_c$}} 

Jaffe potential (BT, pp.237) 

$$ 
\Phi = - { M \over r_c} \ln{ 
\left( { r \over {r_c + r} } \right) } 
$$ 

\section{log}
\index{potential, log.c}
% File: log.c

% CTEX Line: 6
{\bf potname=log 
potpars={\it $\Omega,M_c,r_c,q$}} 

Logarithmic Potential (BT, pp.45, eq. 2.54) 

$$ 
\Phi = {1\over 2} v_0^2 
\ln{ \left( 1 + {r^2 \over r_c^2} \right) } 
$$ 

\section{mestel}
\index{potential, mestel.c}
% File: mestel.c

% CTEX Line: 9
{\bf potname=mestel 
potpars={\it $\Omega,M,R$}} 

\section{miyamoto}
\index{potential, miyamoto.c}
% File: miyamoto.c

% CTEX Line: 20
{\bf potname=miyamoto 
potpars={\it $\Omega,a,b,M$}} 

\section{null}
\index{potential, null.c}
% File: null.c

\section{op73}
\index{potential, op73.c}
% File: op73.c

% CTEX Line: 12
{\bf potname=op73 
potpars={\it $\Omega,M_H,r_c,r_h$}} 

Ostriker-Peebles 1973 potential 
(1973, ApJ {\bf 186}, 467). 
Their potential is given in the form of the radial force law in the disk 
plane: 
$$ 
F = { M \over R_h^2 } 
{ {(R_h+R_c)}^2 \over {(r+R_c)}^2 } 
{ r \over R_h } 
$$ 

\section{pappet83}
\index{potential, pappet83.c}
% File: pappet83.c

% CTEX Line: 10
{\bf potname=pappet83 
potpars={\it $\Omega,M,k,b$}} 


\section{phubble}
\index{potential, phubble.c}
% File: phubble.c

% CTEX Line: 11
{\bf potname=phubble 
potpars={\it $\Omega,M,R,b$}} 



\section{plog}
\index{potential, plog.c}
% File: plog.c

% CTEX Line: 8
{\bf potname=phubble} 



\section{plummer}
\index{potential, plummer.c}
% File: plummer.c

% CTEX Line: 6
{\bf potname=plummer 
potpars={\it $\Omega,M,R$}} 

Plummer potential (BT, pp.42, eq. 2.47) 

$$ 
\Phi = - { M \over 
{ {(r_c^2 + r^2)}^{1/2} } } 
$$ 

\section{rh84}
\index{potential, rh84.c}
% File: rh84.c

% CTEX Line: 20
{\bf potname=rh84 
potpars={\it $\Omega,B,a,A,r_0,i_0,j$}} 

\section{rh84k}
\index{potential, rh84k.c}
% File: rh84k.c

\section{rotcur}
\index{potential, rotcur.c}
% File: rotcur.c

% CTEX Line: 11
{\bf potname=rotcur 
potpars={\it $\Omega$} 
potfile={\it table(5NEMO)}} 

\section{selwil93}
\index{potential, selwil93.c}
% File: selwil93.c

% CTEX Line: 8
{\bf potname=selwil93 
potpars={\it $\Omega,M_b,{a\over c},M_s,M_h,r_s,r_h$}} 


\section{test85}
\index{potential, test85.c}
% File: test85.c





\section{teusan85}
\index{potential, teusan85.c}
% File: teusan85.c

% CTEX Line: 20
{\bf potname=teusan85} 





\section{triax}
\index{potential, triax.c}
% File: triax.c

% CTEX Line: 11
{\bf potname=triax} 
{\bf potpars={\it $\Omega,\Phi_0,R,\epsilon_{min},\tau$}} 

A growing triaxial potential. Does not conserve energy. 



